function [xaddnew] = gaussMULTIfilt(x,HR,GS)
%[xaddnew] = gaussMULTIfilt(x,t,HR,GS,LS,RS,INT5)
% GAUSSMULTIFILTINTER na základe zadaných vstupných hodnôt rozdelí signál
% na časti, na každej z nich spraví gaussovu filtráciu s iným oknom a
% poskladá ich dohromady.
% Vstupy:   x - vstupný signál vo forme riadkového vektoru
%           HR - vektor hraničných bodoch, v ktorých sa má signál rozdeliť
%           GS - vektor veľkostí gaussových okien
% Výstup:   xaddnew - poskladané vyfiltrované a interpolované časti signálu

M = length(HR);

%% JEDNOTLIVE FILTRACIE

SECTIONS = cell(M-1,1);                         %pole obsahujúce vektory častí rozdeleného signálu
for i = 1:M-1
   SECTIONS{i} = x(HR(i)+1:HR(i+1));            %rozdelovanie podľa hraničných indexov HR
end

FILTSECTIONS = cell(M-1,1);                     %pole odfiltrovaných sekcií
for i = 1:M-1
   FILTSECTIONS{i} = gauss(GS(i),SECTIONS{i});  %filtrácia sekcie s daným gaussovským oknom z vektoru okien GS
end

xadd = [];                                      %zhromaždenie vyfiltrovaných sekcii
for i = 1:M-1
   xadd = [xadd FILTSECTIONS{i}];
end
xaddnew = xadd;

end

